Subject: [Gen-art] Gen-ART Telechat Review of draft-ietf-dhc-dhcpv6-redundancy-consider-02

From: Pete McCann <[email-masked]>
Date: Tue, 24 Apr 2012 01:41:43 -0400

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
< http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-dhc-dhcpv6-redundancy-consider-02
Reviewer: Peter McCann
Review Date: 2012-04-24
IETF LC End Date:
IESG Telechat date: 2012-04-26

Summary: Ready (with nits)

Major issues: None

Minor issues:

Section 2.1:
   without any intermediate devices (like
   home routers used in service provider model).
SHOULD BE:
   with or without any intermediate devices.

Nits/editorial comments:

Abstract:
   those who
   wishing to use
SHOULD BE:
   those who
   wish to use

Section 2:
   The proposed architecture may be used in
   wide range of networks, two notable
SHOULD BE:
   While the proposed architecture may be used in
   a wide range of networks, two notable

   Although DHCPv6 redundancy may be useful in a wide range of
   scenarios, they may be generalized for illustration purposes in the
   two aforementioned.
SHOULD BE:
   Although DHCPv6 redundancy may be useful in a wide range of
   scenarios, we may generalize for illustration purposes from the
   two aforementioned scenarios.

   Clients requesting IPv6 addresses, prefixes, and or options care
   of DHCPv6
SHOULD BE:
   Clients requesting IPv6 addresses, prefixes, and or options by way
   of DHCPv6

   available until DHCPv6 protocol is standardized
SHOULD BE:
   available until a DHCPv6 failover protocol is standardized

Section 2.1:
   represents cases, where end-user devices
SHOULD BE:
  represents cases where end-user devices

   4.  CPE devices must implement a stateful DHCPv6 client [RFC3315],
       support for DHCPv6 prefix delegation [RFC3633] or stateless
       DHCPv6 [RFC3736] may also be implemented.
SHOULD BE:
   4.  CPE devices must implement a stateful DHCPv6 client [RFC3315];
       support for DHCPv6 prefix delegation [RFC3633] or stateless
       DHCPv6 [RFC3736] may also be implemented.

Section 3.1:
   Essential to the the use of
SHOULD BE:
   Essential to the use of

Section 5:
   In indentical prefixes scenario,
SHOULD BE:
   In the identical prefixes scenario,

   way how to solve
SHOULD BE:
   way to solve

   IPv6 lease data care of the DHCPv6 Leasequery
SHOULD BE:
   IPv6 lease data by way of the DHCPv6 Leasequery